> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Eval Config

> Updates an AI evaluation configuration.



## OpenAPI

````yaml put /eval_configs/{id}
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /eval_configs/{id}:
    parameters:
      - in: path
        name: id
        schema:
          type: string
        required: true
        description: ID of the eval config.
    put:
      summary: Update Eval Config
      description: Updates an AI evaluation configuration.
      operationId: updateEvalConfig
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAIEvalConfigInput'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AIEvalConfig'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    UpdateAIEvalConfigInput:
      type: object
      properties:
        promptSnippet:
          type: string
          description: The prompt snippet for the evaluation configuration.
    AIEvalConfig:
      type: object
      properties:
        id:
          type: string
          nullable: false
        name:
          type: string
          nullable: false
        promptSnippet:
          type: string
          nullable: false
      required:
        - id
        - name
        - promptSnippet
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````